package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Event;
import com.caliverse.admin.domain.entity.LandAuction;
import com.caliverse.admin.domain.entity.LandOwnerChange;
import com.caliverse.admin.domain.entity.Message;
import com.caliverse.admin.domain.request.LandRequest;

import java.util.List;
import java.util.Map;


public interface LandMapper {

    List<LandAuction> getLandAuctionList(Map map);
    int getAllCnt(Map map);
    int getTotal();
    LandAuction getLandAuctionDetail(Long id);
    LandOwnerChange getLandOwnerChangeDetail(Long id);
    List<LandOwnerChange> getLandOwnerChangeInfo(int landId);

    List<Message> getMessage(Long id);

    int getMaxLandSeq(Integer landId);
    int getPossibleLand(Integer landId);
    int getPossibleLandOwnerChanges(Integer landId);

    int postLandAuction(LandRequest landRequest);
    int postLandOwnerChange(LandRequest landRequest);

    void insertMessage(Map map);
    int updateLandAuction(LandRequest landRequest);
    int updateLandOwnerChange(LandRequest landRequest);

    int deleteMessage(Map map);

    int deleteLandAuction(Map map);
    int deleteLandOwnerChanges(Map map);

    int updateStatusLandAuction(Map map);
    int updateStatusLandOwnedChange(Map map);

    List<LandAuction> getScheduleLandAuctionList();
    List<LandOwnerChange> getScheduleLandOwnedChangeList();
}
